pair_set_add_op< T >
Inheritance diagram for pair_set_add_op< T >:

## Public Member Functions

T & | operator() (T &x, const T &y) const
T & | operator() (T &x, const typename T::pair_type &y) const
T & | operator() (T &x, const typename T::const_pair_type &y) const

## Detailed Description

### template<class T>
struct rheolef::pair_set_add_op< T >

Definition at line 113 of file pair_set.h.

## Member Function Documentation

## operator()() [1/3]

T& operator() | ( | T & | x,
|  | const T & | y
| ) |  | const

Definition at line 114 of file pair_set.h.

## operator()() [2/3]

T& operator() | ( | T & | x,
|  | const typename T::pair_type & | y
| ) |  | const

Definition at line 115 of file pair_set.h.

## operator()() [3/3]

T& operator() | ( | T & | x,
|  | const typename T::const_pair_type & | y
| ) |  | const

Definition at line 116 of file pair_set.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-FQTnje/rheolef-7.1/linalg/lib/pair_set.h